PHP ��U
前一頁 |  | 下一頁

# ZipArchive::getFromName

(no version information, might be only in CVS)

ZipArchive::getFromName -- Returns the entry contents using its name.

## Description

mixed ZipArchive::getFromName ( string name [, int flags] )

Returns the entry contents using its name.

## Parameters

name

  Name of the entry

flags

  The flags to use to open the archive. the following values may be ORed to it.

  - `ZIPARCHIVE::FL_NOCASE`

  - `ZIPARCHIVE::FL_NODIR`

  - `ZIPARCHIVE::FL_UNCHANGED`

  - `ZIPARCHIVE::FL_COMPRESSED`

## Return Values

Returns the contents of the entry on success or `FALSE` on failure.

## �d��

範例 1. Get the file contents

`<?php $zip = new ZipArchive; if ($zip->open('test1.zip') === TRUE) { echo $zip->getFromName('testfromfile.php'); $zip->close(); } else { echo 'failed'; } ?>`

範例 2. Convert an image from a zip entry

`<?php $z = new ZipArchive(); if ($z->open(dirname(__FILE__) . '/test_im.zip')) { $im_string = $z->getFromName("pear_item.gif"); $im = imagecreatefromstring($im_string); imagepng($im, 'b.png'); } ?>`

前一頁 | 內容 | 下一頁
ZipArchive::getFromIndex | 上一層 | ZipArchive::getNameIndex